from django.contrib import admin
from models import *

class ManifestAdmin(admin.ModelAdmin):
    pass

class GoodInline(admin.TabularInline):
    model = Good
    extra = 10

class ShipAdmin(admin.ModelAdmin):
    inlines = [GoodInline]
    search_fields = ['ship_name', 'ship_name_trans', 'port']
    list_filter = ('bill_type', 'manifest_file',)
    list_display = ('__unicode__', 'bill_type', 'number', 'date', 'flag', 'captain', 'owner', 'port', 'country', 'no_of_goods',)

class GoodAdmin(admin.ModelAdmin):
    search_fields = ['description', 'description_trans']


class TranslationAdmin(admin.ModelAdmin):
    search_fields = ['string', 'string_trans']
    list_editable = ('string_trans',)
    list_display = ('string', 'string_trans',)


admin.site.register(Manifest, ManifestAdmin)
admin.site.register(Good, GoodAdmin)
admin.site.register(Ship, ShipAdmin)
admin.site.register(Translation, TranslationAdmin)
